# std::toupper

From cppreference.com
< cpp‎ | string‎ | byte

Defined in header `<cctype>` |  |
int toupper( int ch ); |  |

Converts the given character to uppercase according to the character conversion rules defined by the currently installed C locale.

In the default "C" locale, the following lowercase letters `abcdefghijklmnopqrstuvwxyz` are replaced with respective uppercase letters `ABCDEFGHIJKLMNOPQRSTUVWXYZ`.

### Parameters

ch | - | character to be converted. If the value of `ch` is not representable as unsigned char and does not equal EOF, the behavior is undefined.

### Return value

Converted character or `ch` if no uppercase version is defined by the current C locale.

### Example

Run this code

    #include <iostream>
    #include <cctype>
    #include <clocale>

    int main()
    {
        unsigned char c = '\xb8'; // the character ž in ISO-8859-15
                                  // but ¸ (cedilla) in ISO-8859-1

        std::setlocale(LC_ALL, "en_US.iso88591");
        std::cout << std::hex << std::showbase;
        std::cout << "in iso8859-1, toupper('0xb8') gives " << std::toupper(c) << '\n';
        std::setlocale(LC_ALL, "en_US.iso885915");
        std::cout << "in iso8859-15, toupper('0xb8') gives " << std::toupper(c) << '\n';
    }

Output:

    in iso8859-1, toupper('0xb8') gives 0xb8
    in iso8859-15, toupper('0xb8') gives 0xb4

### See also

tolower | converts a character to lowercase (function)
toupper(std::locale) | converts a character to uppercase using the ctype facet of a locale (function template)
towupper | converts a wide character to uppercase (function)
C documentation for toupper

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/byte/toupper&oldid=83257"